net.sourceforge.pmd.processor

## Class PmdThreadFactory

- java.lang.Object
- - net.sourceforge.pmd.processor.PmdThreadFactory

- All Implemented Interfaces:
    ThreadFactory

      public class PmdThreadFactory
      extends Object
      implements ThreadFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<Runnable>` | `threadList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PmdThreadFactory(RuleSetFactory ruleSetFactory, RuleContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Thread` | `newThread(Runnable r)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### threadList

          public List<Runnable> threadList

  - ### Constructor Detail

    - #### PmdThreadFactory

          public PmdThreadFactory(RuleSetFactory ruleSetFactory,
                          RuleContext ctx)

  - ### Method Detail

    - #### newThread

          public Thread newThread(Runnable r)

      Specified by:
        `newThread` in interface `ThreadFactory`

Copyright © 2002-2013 InfoEther. All Rights Reserved.